declare type ConfigResultType = {
    [key: string]: {
        [key: string]: string;
    };
};
interface PropertyConfig {
    required?: boolean;
    default?: string;
}
declare type ConfigType<T extends ConfigResultType> = {
    [k in keyof T]: {
        [k2 in keyof T[k]]: PropertyConfig;
    };
};
export default function config<T extends ConfigResultType>(config: ConfigType<T>, file?: string): T;
export {};
