"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ini = require("ini");
const fs = require("fs");
function config(config, file) {
    let res = {};
    const parsed = (file && fs.existsSync(file)) ? ini.parse(fs.readFileSync(file).toString("utf8")) : {};
    let errors = [];
    for (let C in config) {
        let category = {};
        for (let F in config[C]) {
            const envname = `${C.toUpperCase()}_${F.toUpperCase()}`;
            const value = (parsed[C] || {})[F] || process.env[envname] || config[C][F].default;
            if (!value && config[C][F].required)
                errors.push(`Field ${C}->${F} is required. Set in in ${file} or as environment variable ${envname}.`);
            else
                category[F] = value;
        }
        res[C] = category;
    }
    if (errors.length > 0) {
        throw new Error("There are errors: \n" + errors.join("\n"));
    }
    return res;
}
exports.default = config;
//# sourceMappingURL=index.js.map